complexType "EquityDerivativeLongFormBase"

Namespace: | http://www.fpml.org/FpML-5/confirmation
Content: | complex, 1 attribute, 18 elements
Abstract: | (cannot be assigned directly to elements used in instance XML documents)
Defined: | globally in fpml-eqd-5-3.xsd; see XML source
Includes: | definitions of 3 elements
Used: | at 2 locations

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | productType*, productId*, assetClass*, buyerPartyReference, buyerAccountReference?, sellerPartyReference, sellerAccountReference?, optionType, equityEffectiveDate?, underlyer, notional?, equityExercise, (feature?, fxFeature?)?, strategyFeature?, dividendConditions?, methodOfAdjustment, extraordinaryEvents
</...>

Content Model Elements (18):

  assetClass,
  buyerAccountReference,
  buyerPartyReference (defined in BuyerSeller.model group),
  dividendConditions (defined in EquityDerivativeLongFormBase complexType),
  equityEffectiveDate,
  equityExercise (defined in EquityDerivativeBase complexType),
  extraordinaryEvents (defined in EquityDerivativeLongFormBase complexType),
  feature (defined in Feature.model group),
  fxFeature (defined in Feature.model group),
  methodOfAdjustment (defined in EquityDerivativeLongFormBase complexType),
  notional (defined in EquityDerivativeBase complexType),
  optionType (defined in EquityDerivativeBase complexType),
  productId (defined in Product.model group),
  productType (defined in Product.model group),
  sellerAccountReference,
  sellerPartyReference (defined in BuyerSeller.model group),
  strategyFeature (defined in EquityDerivativeBase complexType),
  underlyer (defined in EquityDerivativeBase complexType)

Known Direct Subtypes (2):

  EquityForward, EquityOption

All Direct / Indirect Based Elements (2):

  equityForward, equityOption

Known Usage Locations

- In derivations of other global types (2):

  EquityForward (as extension base), | EquityOption (as extension base)

Annotation
type for defining the common features of equity derivatives.
Type Definition Detail

Type Derivation Tree Product (extension) EquityDerivativeBase (extension) EquityDerivativeLongFormBase

XML Source (w/o annotations (3); see within schema source)

<xsd:complexType abstract="true" name="EquityDerivativeLongFormBase"> <xsd:complexContent> <xsd:extension base="EquityDerivativeBase"> <xsd:sequence> <xsd:element minOccurs="0" name="dividendConditions" type="DividendConditions"/> <xsd:element name="methodOfAdjustment" type="MethodOfAdjustmentEnum"/> <xsd:element name="extraordinaryEvents" type="ExtraordinaryEvents"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 3/18)
dividendConditions

  Type: | DividendConditions, complex content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="dividendConditions" type="DividendConditions"/>

extraordinaryEvents

  Type: | ExtraordinaryEvents, complex content

  Where the underlying is shares, specifies events affecting the issuer of those shares that may require the terms of the transaction to be adjusted.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="extraordinaryEvents" type="ExtraordinaryEvents"/>

methodOfAdjustment

  Type: | MethodOfAdjustmentEnum, simple content

  Defines how adjustments will be made to the contract should one or more of the extraordinary events occur.
  Simple Content

  enumeration of xsd:token

  Enumeration: |
  "CalculationAgent" | - | The Calculation Agent has the right to adjust the terms of the trade following a corporate action. See: http://www.FpML.org
  "OptionsExchange" | - | The trade will be adjusted in accordance with any adjustment made by the exchange on which options on the underlying are listed. See: http://www.FpML.org

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="methodOfAdjustment" type="MethodOfAdjustmentEnum"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.